Bug 469711 - firewire module unload hangs
firewire module unload hangs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jay Fenlason
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 11:40 EST by Jay Fenlason
Modified: 2014-08-31 19:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:11:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Fenlason 2008-11-03 11:40:14 EST
Description of problem:
Because of an error in the firewire backport (current upstream uses a function that is not in 2.6.18) attempting to remove the firewire module ("rmmod firewire_ohci") may hang.

Version-Release number of selected component (if applicable):
2.6.18-120.el5

How reproducible:
Usually

Steps to Reproduce:
1.modprobe firewire_ohci
2.rmmod firewire_ohci
3.observe hang
  
Actual results:
rmmod never returns, and can't be kill -9'd

Expected results:
rmmod returns.

Additional info:
The proposed fix is acceptable to upstream and will be included in future firewire versions.
Comment 4 Don Zickus 2008-11-18 16:21:13 EST
in kernel-2.6.18-124.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 errata-xmlrpc 2009-01-20 15:11:19 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.